import React from 'react';

interface HighlightProps {
    /**
     * The children that need to have text highlighted
     */
    children: React.ReactNode;
    /**
     * The characters that are to be highlighted
     */
    query: string;
    /**
     * The highlight CSS style
     */
    style?: React.CSSProperties;
}
/**
 * A wrapper that will highlight text in child elements
 * @param param0 the properties for the wrapper
 * @returns The component
 */
declare function Highlight({ children, query, style: _style }: HighlightProps): React.ReactNode;
declare const _default: React.MemoExoticComponent<typeof Highlight>;

export { _default as default };
